StaticTrack (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface StaticTrack

- All Superinterfaces:
    InterchangeObject, MediaEntity, MetadataObject, Track
  All Known Implementing Classes:
    StaticTrackImpl

      public interface StaticTrack
      extends Track

  Specifies a single track of essence data that has no relationship to time, such as a static image. As a static track has not relationship with time, it does not specify an edit rate.

  See Also:
    `MaterialPackage.createStaticEssence()`, `DataDefinitionConstant.Auxiliary`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StaticTrack` | `clone()` Create a cloned copy of this static track.

    - ### Methods inherited from interface tv.amwa.maj.model.Track

      `getDataDefinition, getEssenceTrackNumber, getTrackID, getTrackName, getTrackSegment, setEssenceTrackNumber, setTrackID, setTrackName, setTrackSegment`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### clone

          StaticTrack clone()

      Create a cloned copy of this static track.

      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Track`
      Returns:
        Cloned copy of this static track.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.